Package org.eclipse.birt.report.model.api

# Class CalculationArgumentHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.CalculationArgumentHandle

public class CalculationArgumentHandle extends StructureHandle
CalculationArgumentHandle.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`CalculationArgumentHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of calculation argument.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the argument name.
`ExpressionHandle`
`getValue()`
Gets the expression handle for the value member.
`void`
`setName(String argumentName)`
Sets the argument name.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CalculationArgumentHandle

public CalculationArgumentHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of calculation argument.

Parameters:
  `valueHandle` - the value handle for calculation argument list of one property
  `index` - the position of this calculation argument in the list

## Method Details

### getName

public String getName()
Returns the argument name.

Returns:
  the argument name.

### setName

public void setName(String argumentName) throws SemanticException
Sets the argument name.

Parameters:
  `argumentName` - the argument name to set
Throws:
  `SemanticException`

### getValue

public ExpressionHandle getValue()
Gets the expression handle for the value member. Then use the returned handle to do get/set action.

Returns: